/************************************************************
 **
 ** bsc_blck.h : BSC block processing declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/

#ifndef bsc_blck_h__
#define bsc_blck_h__

#include "bsc_file.h"

void bsc_block_process(bsc_file_t *pf, boolean_t skipstmt, size_t endct, 
    const char **endwords, size_t *ew);
void bsc_file_process(bsc_file_t *pf);
void bsc_statement_skip(bsc_file_t *pf);
void bsc_statement_next(bsc_file_t *pf);

#endif /* bsc_blck_h__ */



