/************************************************************
 **
 ** bsc_ctrl.h : BSC control declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef bsc_ctrl_h__
#define bsc_ctrl_h__

#include "bsc_file.h"

void bsc_parse_while(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_do(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_for(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_if(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_branch(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);

#endif /* bsc_ctrl_h__ */

