/************************************************************
 **
 ** bsc_proc.h : BSC PROC/CALL/IR_* declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef bsc_proc_h__
#define bsc_proc_h__

#include "ptype.h"
#include "bsc_parm.h"

void bsc_parse_proc(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_call(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_ir(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);

#endif /* bsc_proc_h__ */

