/************************************************************
 **
 ** lbl_decl.h : label structure declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef lbl_decl_h__
#define lbl_decl_h__

struct label_ {
  slist_el_t         el;       /* element data              */

  flag_t             flags;
  size_t             pc;       /* where this label exists   */
  char              *name;
  void              *data;     /* user defined data         */
  label_free_cb_t    free_cb;
  label_t           *master;   /* master label              */

  ctr_t              usage;    /* # of references           */
  cmd_branchtype_t   brtype;   /* branch type at this label */
  label_t           *brdest;
};


#endif /* lbl_decl_h__ */

