/************************************************************
 **
 ** pic_op.h : PIC operator generation declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef pic_op_h__
#define pic_op_h__

#define VALOFS(x, y) (value_subscript_get(x) ? 0 : (y))
#define ISARRAY(x)   (value_subscript_get(x) != 0)
#define ISCONST(x)   (value_is_const(x))
#define ISSIGNED(x)  (value_flag_test(x, VARIABLE_FLAG_SIGNED))

/* operator --> pic instructions */
void pic_op(pfile_t *pf, operator_t op, value_t *dst, value_t *val1,
    value_t *val2);

#endif /* pic_op_h__ */

