/************************************************************
 **
 ** pic_var.h : PIC variable allocation declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef pic_var_h__
#define pic_var_h__

void pic_variable_alloc(pfile_t *pf, size_t ct, variable_t **var);
variable_base_t pic_var_ofs_get(pfile_t *pf, const value_t *val, 
    size_t ofs);
boolean_t pic_var_spans_banks(pfile_t *pf, const variable_t *val);
size_t pic_var_firstbank_highest_get(pfile_t *pf, const variable_t *var);
size_t pic_var_firstbank_get(pfile_t *pf, const variable_t *var);
void pic_blist_free(pfile_t *pf);
void pic_blist_info_log(pfile_t *pf);
pic_bank_info_t *pic_bank_info_get(pfile_t *pf);

#endif /* pic_var_h__ */

